summaryrefslogtreecommitdiff
path: root/functions
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:05:14 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:22:26 +0100
commit0d5ff4ca7596790f853cf637e0fe225cad810a76 (patch)
tree360ca9a49f3d82d589a4b49c98e5210dfcb3b74e /functions
parentcd5110f6b8eb77519d704972276cfd5be6bff055 (diff)
downloadlive-build-0d5ff4ca7596790f853cf637e0fe225cad810a76.zip
live-build-0d5ff4ca7596790f853cf637e0fe225cad810a76.tar.gz
Adding live-helper 1.0~a18-1.
Diffstat (limited to 'functions')
-rwxr-xr-xfunctions/architecture.sh35
-rwxr-xr-xfunctions/common.sh2
-rwxr-xr-xfunctions/defaults.sh92
-rwxr-xr-xfunctions/packagelist.sh (renamed from functions/packagelists.sh)0
-rwxr-xr-xfunctions/releases.sh2
-rwxr-xr-xfunctions/templates.sh2
6 files changed, 122 insertions, 11 deletions
diff --git a/functions/architecture.sh b/functions/architecture.sh
index fb0e910..29164d8 100755
--- a/functions/architecture.sh
+++ b/functions/architecture.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# architecture.sh - handle architecture specific support
-# Copyright (C) 2007 Otavio Salvador <otavio@debian.org>
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
#
# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
# This is free software, and you are welcome to redistribute it
@@ -16,7 +16,7 @@ Check_architecture ()
for ARCHITECTURE in ${ARCHITECTURES}
do
- if [ "${ARCHITECTURE}" = "${LIVE_ARCHITECTURE}" ]
+ if [ "`echo ${LIVE_ARCHITECTURE} | grep ${ARCHITECTURE}`" ]
then
VALID="true"
break
@@ -29,3 +29,34 @@ Check_architecture ()
exit 0
fi
}
+
+Check_multiarchitecture ()
+{
+ if [ "`echo ${LIVE_ARCHITECTURE} | wc -w`" -gt "1" ]
+ then
+ # First, only support multiarch on iso
+ if [ "${LIVE_BINARY_IMAGES}" = "iso" ]
+ then
+ # Assemble multi-arch
+ case "${LIVE_CURRENT_ARCHITECTURE}" in
+ amd64)
+ DESTDIR="${DESTDIR}.amd"
+ DESTDIR_LIVE="${DESTDIR_LIVE}.amd"
+ DESTDIR_INSTALL="${DESTDIR_INSTALL}.amd"
+ ;;
+
+ i386)
+ DESTDIR="${DESTDIR}.386"
+ DESTDIR_LIVE="${DESTDIR_LIVE}.386"
+ DESTDIR_INSTALL="${DESTDIR_INSTALL}.386"
+ ;;
+
+ powerpc)
+ DESTDIR="${DESTDIR}.ppc"
+ DESTDIR_LIVE="${DESTDIR_LIVE}.ppc"
+ DESTDIR_INSTALL="${DESTDIR_INSTALL}.ppc"
+ ;;
+ esac
+ fi
+ fi
+}
diff --git a/functions/common.sh b/functions/common.sh
index a3df477..8c1bca5 100755
--- a/functions/common.sh
+++ b/functions/common.sh
@@ -10,4 +10,4 @@
set -e
PROGRAM="`basename ${0}`"
-VERSION="1.0~a17"
+VERSION="1.0~a18"
diff --git a/functions/defaults.sh b/functions/defaults.sh
index 1dacb92..a5b9e73 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -131,6 +131,16 @@ Set_defaults ()
LH_DEBCONF_NOWARNINGS="${LH_DEBCONF_NOWARNINGS:-yes}"
LH_DEBCONF_PRIORITY="${LH_DEBCONF_PRIORITY:-critical}"
+ case "${LH_DEBCONF_NOWARNINGS}" in
+ enabled)
+ LH_DEBCONF_NOWARNINGS="yes"
+ ;;
+
+ disabled)
+ LH_DEBCONF_NOWARNINGS="no"
+ ;;
+ esac
+
# Setting genisoimage
if [ -z "${LH_GENISOIMAGE}" ]
then
@@ -248,11 +258,32 @@ Set_defaults ()
then
case "${LH_MODE}" in
debian)
- LIVE_MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386)
+ LIVE_MIRROR_BOOTSTRAP="http://ftp.debian.org/debian/"
+ ;;
+
+ *)
+ LIVE_MIRROR_BOOTSTRAP="http://ftp.de.debian.org/debian/"
+ ;;
+ esac
;;
ubuntu)
- LIVE_MIRROR_BOOTSTRAP="http://archive.ubuntu.com/ubuntu/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386|powerpc|sparc)
+ LIVE_MIRROR_BOOTSTRAP="http://archive.ubuntu.com/ubuntu/"
+ ;;
+
+ hppa|ia64)
+ LIVE_MIRROR_BOOTSTRAP="http://ports.ubuntu.com/"
+ ;;
+
+ *)
+ Echo_error "There is no port of Ubuntu available for your architecture."
+ exit 1
+ ;;
+ esac
;;
esac
fi
@@ -266,7 +297,19 @@ Set_defaults ()
;;
ubuntu)
- LIVE_MIRROR_BOOTSTRAP_SECURITY="http://security.ubuntu.org/ubuntu/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386|powerpc|sparc)
+ LIVE_MIRROR_BOOTSTRAP_SECURITY="http://archive.ubuntu.com/ubuntu/"
+ ;;
+
+ hppa|ia64)
+ LIVE_MIRROR_BOOTSTRAP_SECURITY="http://ports.ubuntu.com/"
+ ;;
+
+ *)
+ LIVE_MIRROR_BOOTSTRAP_SECURITY="none"
+ ;;
+ esac
;;
esac
fi
@@ -276,11 +319,32 @@ Set_defaults ()
then
case "${LH_MODE}" in
debian)
- LIVE_MIRROR_BINARY="http://ftp.debian.org/debian/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386)
+ LIVE_MIRROR_BINARY="http://ftp.debian.org/debian/"
+ ;;
+
+ *)
+ LIVE_MIRROR_BINARY="http://ftp.de.debian.org/debian/"
+ ;;
+ esac
;;
ubuntu)
- LIVE_MIRROR_BINARY="http://archive.ubuntu.com/ubuntu/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386|powerpc|sparc)
+ LIVE_MIRROR_BINARY="http://archive.ubuntu.com/ubuntu/"
+ ;;
+
+ hppa|ia64)
+ LIVE_MIRROR_BINARY="http://ports.ubuntu.com/"
+ ;;
+
+ *)
+ Echo_error "There is no port of Ubuntu available for your architecture."
+ exit 1
+ ;;
+ esac
;;
esac
fi
@@ -294,7 +358,15 @@ Set_defaults ()
;;
ubuntu)
- LIVE_MIRROR_BINARY_SECURITY="http://security.ubuntu.com/ubuntu/"
+ case "${LIVE_ARCHITECTURE}" in
+ amd64|i386|powerpc|sparc)
+ LIVE_MIRROR_BINARY_SECURITY="http://security.ubuntu.com/ubuntu/"
+ ;;
+
+ *)
+ LIVE_MIRROR_BINARY_SECURITY="none"
+ ;;
+ esac
;;
esac
fi
@@ -474,6 +546,11 @@ Set_defaults ()
# LIVE_TASKS
# Setting security updates option
+ if [ "${LIVE_MIRROR_BOOTSTRAP_SECURITY}" = "none" ] || [ "${LIVE_MIRROR_BINARY_SECURITY}" = "none" ]
+ then
+ LIVE_SECURITY="disabled"
+ fi
+
LIVE_SECURITY="${LIVE_SECURITY:-enabled}"
# Setting symlink convertion option
@@ -567,6 +644,9 @@ Set_defaults ()
# Setting memtest option
LIVE_MEMTEST="${LIVE_MEMTEST:-memtest86+}"
+ # Setting netboot filesystem
+ LIVE_NET_FILESYSTEM="${LIVE_NET_FILESYSTEM:-nfs}"
+
# Setting netboot server path
if [ -z "${LIVE_NET_PATH}" ]
then
diff --git a/functions/packagelists.sh b/functions/packagelist.sh
index f25b5fb..f25b5fb 100755
--- a/functions/packagelists.sh
+++ b/functions/packagelist.sh
diff --git a/functions/releases.sh b/functions/releases.sh
index d6b8225..9f8eddf 100755
--- a/functions/releases.sh
+++ b/functions/releases.sh
@@ -11,7 +11,7 @@ set -e
# Debian releases
VERSION_etch="4.0 r0"
-VERSION_lenny="prereleased"
+VERSION_lenny="prerelease"
VERSION_sid="unreleased"
# Ubuntu releases
diff --git a/functions/templates.sh b/functions/templates.sh
index 927c39f..9fbc365 100755
--- a/functions/templates.sh
+++ b/functions/templates.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# templates.sh - handle templates files
-# Copyright (C) 2007 Otavio Salvador <otavio@debian.org>
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
#
# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
# This is free software, and you are welcome to redistribute it